package com.diaoyun.zion.chinafrica.vo;

import java.io.Serializable;
import java.util.Date;

/**
 * 优惠券领取情况
 * 表名 tb_cf_coupon
 *
 * @author lipengjun
 * @date 2019-09-20 11:03:38
 */
public class CouponIssueVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 优惠券id
     */
    private String couponId;
    /**
     * 优惠券类型
     */
    private String  couponCategoryId;
    /**
     * 优惠券标题
     */
    private String couponTitle;
    /**
     * 优惠券图片地址
     */
    private String couponIcon;
    /**
     * 用户名
     */
    private String nick;
    /**
     * 账号
     */
    private String account;
    /**
     * 领取时间
     */
    private Date createTime;
    /**
     * 是否已经使用，0已使用，1未使用
     */
    private Integer enableFlag;

    /**
     * 标识(1发放，2领取，3注册)
     */
    private Integer identification;
    public String getCouponId() {
        return couponId;
    }

    public void setCouponId(String couponId) {
        this.couponId = couponId;
    }

    public String getCouponCategoryId() {
        return couponCategoryId;
    }

    public void setCouponCategoryId(String couponCategoryId) {
        this.couponCategoryId = couponCategoryId;
    }

    public String getCouponTitle() {
        return couponTitle;
    }

    public void setCouponTitle(String couponTitle) {
        this.couponTitle = couponTitle;
    }

    public String getCouponIcon() {
        return couponIcon;
    }

    public void setCouponIcon(String couponIcon) {
        this.couponIcon = couponIcon;
    }

    public String getNick() {
        return nick;
    }

    public void setNick(String nick) {
        this.nick = nick;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getEnableFlag() {
        return enableFlag;
    }

    public void setEnableFlag(Integer enableFlag) {
        this.enableFlag = enableFlag;
    }
    /**
     * 设置：标识(1发放，2领取，3注册)
     */
    public void setIdentification(Integer identification) {
        this.identification = identification;
    }

    /**
     * 获取：标识(1发放，2领取，3注册)
     */
    public Integer getIdentification() {
        return identification;
    }
}
